import { expect, tap } from '../../ts_tapbundle/index.js';

tap.test('Test that will fail with console logs', async () => {
  console.log('Starting the test...');
  console.log('Doing some setup work');
  console.log('About to check assertion');
  
  const value = 42;
  console.log(`The value is: ${value}`);
  
  // This will fail
  expect(value).toEqual(100);
  
  console.log('This log will not be reached');
});

tap.test('Test that passes', async () => {
  console.log('This test passes');
  console.log('So these logs should not show in default mode');
  expect(true).toBeTrue();
});

tap.start();